StAXContentHandlerBase (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.StAXContentHandlerBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class StAXContentHandlerBase

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase

All Implemented Interfaces:
  StAXContentHandler

Direct Known Subclasses:
  StAXFeatureHandler, StAXPropertyHandler

    public class StAXContentHandlerBase

extends Object
implements StAXContentHandler

Simple implementation of the `StAXContentHandler` interface, with empty implementations for all the methods.

This class is provided as a base for content handlers where the implementor does not wish to provide all the methods.

Author:
  copied from Thomas Down

Constructor Summary
`StAXContentHandlerBase()`

Method Summary
`void` | `characters(char[] ch, int start, int length)` Signal a span of character data in the XML input.
`void` | `endElement(String nsURI, String localName, String qName, StAXContentHandler delegate)`
`void` | `endPrefixMapping(String prefix)`
`void` | `endTree()`
`void` | `ignorableWhitespace(char[] ch, int start, int length)`
`void` | `processingInstruction(String target, String data)`
`void` | `setDocumentLocator(Locator locator)`
`void` | `skippedEntity(String name)`
`void` | `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`
`void` | `startPrefixMapping(String prefix, String uri)`
`void` | `startTree()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StAXContentHandlerBase

    public StAXContentHandlerBase()

Method Detail

### startTree

    public void startTree()
                   throws SAXException

  Specified by:
    `startTree` in interface `StAXContentHandler`
  Throws:
    `SAXException`

### endTree

    public void endTree()
                 throws SAXException

  Specified by:
    `endTree` in interface `StAXContentHandler`
  Throws:
    `SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Signal a span of character data in the XML input.

  Specified by:
    `characters` in interface `StAXContentHandler`
  Parameters:
    `ch` - an array of characters
    `start` - index of the first significant character for this event.
    `length` - number of characters significant to this event.
  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

  Specified by:
    `ignorableWhitespace` in interface `StAXContentHandler`
  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Specified by:
    `startPrefixMapping` in interface `StAXContentHandler`
  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Specified by:
    `endPrefixMapping` in interface `StAXContentHandler`
  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Specified by:
    `processingInstruction` in interface `StAXContentHandler`
  Throws:
    `SAXException`

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Specified by:
    `setDocumentLocator` in interface `StAXContentHandler`

### skippedEntity

    public void skippedEntity(String name)
                       throws SAXException

  Specified by:
    `skippedEntity` in interface `StAXContentHandler`
  Throws:
    `SAXException`

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs,
                             DelegationManager dm)
                      throws SAXException

  Specified by:
    `startElement` in interface `StAXContentHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String nsURI,
                           String localName,
                           String qName,
                           StAXContentHandler delegate)
                    throws SAXException

  Specified by:
    `endElement` in interface `StAXContentHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD